Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F	(revision 1988)
@@ -55,5 +55,5 @@
       INTEGER :: i,lbglob,ubglob
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       INTEGER :: indglob1,indglob2
 #endif
@@ -65,5 +65,5 @@
         ubglob = uboundloc(i)
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
         Call AGRIF_InvLoc(lbglob,Agrif_ProcRank,i,indglob1)
@@ -335,5 +335,5 @@
 C
 C
-#if !defined AGRIF_MPI
+#if !defined key_mpp_mpi
 C     **************************************************************************
 CCC   Subroutine Agrif_nbdim_VarEQreal
@@ -754,5 +754,5 @@
 C
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C     **************************************************************************
 CCC   Subroutine Where_ValTabToTab_mpi
@@ -1029,5 +1029,5 @@
       End Subroutine PreProcessToInterpOrUpdate     
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 C     **************************************************************************
@@ -1091,5 +1091,5 @@
 C
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 C
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F	(revision 1988)
@@ -717,5 +717,5 @@
       
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 #include "mpif.h"
@@ -772,5 +772,5 @@
                                        !    (c2t=1-c1t) 
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim)   :: lower,upper
@@ -796,5 +796,5 @@
       
 
-#if !defined AGRIF_MPI
+#if !defined key_mpp_mpi
       Call Agrif_nbdim_Get_bound_dimension(child%var,lubglob(:,1),
      &              lubglob(:,2),nbdim)
@@ -886,5 +886,5 @@
       
 C
-#if defined AGRIF_MPI
+#if defined key_mpp_mpi
                  Call Agrif_nbdim_Get_bound_dimension
      &                    (child%var,lower,upper,nbdim)
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F	(revision 1988)
@@ -37,5 +37,5 @@
       Use Agrif_Mask 
       Use Agrif_CurgridFunctions
-#if defined AGRIF_MPI
+#if defined key_mpp_mpi
       Use Agrif_mpp
 #endif
@@ -656,5 +656,5 @@
       
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 #include "mpif.h"
@@ -715,5 +715,5 @@
       INTEGER,DIMENSION(nbdim)    :: indminglob2,indmaxglob2      
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       LOGICAL :: memberout
@@ -739,5 +739,5 @@
      &       indmaxglob,indminglob2,indmaxglob2,parentarray,
      &       pttruetab,cetruetab,member,memberin,find_list_interp
-#if defined AGRIF_MPI
+#if defined key_mpp_mpi
      &       ,tab4t,memberinall,sendtoproc1,recvfromproc1
 #endif
@@ -766,5 +766,5 @@
      &                        child % var % root_var % interptab)
        
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
        IF (memberin) THEN
         Call Agrif_Parentbounds(TYPEinterp,nbdim,indmin,indmax,
@@ -810,5 +810,5 @@
       ELSE
       
-#if !defined AGRIF_MPI
+#if !defined key_mpp_mpi
       parentarray(:,1,1) = indminglob
       parentarray(:,2,1) = indmaxglob
@@ -885,5 +885,5 @@
             endif
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       if (.not.find_list_interp) then
       tab3(:,1) = indminglob2(:)
@@ -936,5 +936,5 @@
      &   indminglob,indmaxglob,indminglob2,indmaxglob2,parentarray,
      &   pttruetab,cetruetab,member,memberin,nbdim
-#if defined AGRIF_MPI
+#if defined key_mpp_mpi
      &   ,tab4t,memberinall,sendtoproc1,recvfromproc1
 #endif
@@ -1034,5 +1034,5 @@
      &                               lowerbound,upperbound,nbdim)
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Call Agrif_GlobtoLocInd2(childarray,
      &                     lowerbound,upperbound,
@@ -1069,5 +1069,5 @@
       if (torestore) then
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
         SELECT CASE (nbdim)
@@ -1301,5 +1301,5 @@
 C             
 C     Deallocations
-#ifdef AGRIF_MPI        
+#ifdef key_mpp_mpi        
       IF (member) THEN
       Call Agrif_nbdim_deallocation(tempP%var,nbdim)
@@ -2136,5 +2136,5 @@
      &       pttruetab,cetruetab,member,memberin,
      &      find_list_interp
-#if defined AGRIF_MPI
+#if defined key_mpp_mpi
      &     ,tab4t,memberinall,sendtoproc1,recvfromproc1
 #endif
@@ -2152,5 +2152,5 @@
       LOGICAL :: member, memberin
       INTEGER :: i
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim,0:Agrif_Nbprocs-1,8) :: tab4t
@@ -2180,5 +2180,5 @@
         cetruetab = parcours%interp_loc%cetruetab(1:nbdim)
                 
-#if !defined AGRIF_MPI
+#if !defined key_mpp_mpi
         indminglob = parcours%interp_loc%indminglob(1:nbdim)
         indmaxglob = parcours%interp_loc%indmaxglob(1:nbdim)
@@ -2207,5 +2207,5 @@
      &                          parentarray,pttruetab,cetruetab,
      &                          member,memberin,nbdim
-#if defined AGRIF_MPI
+#if defined key_mpp_mpi
      &      ,tab4t,memberinall,sendtoproc1,recvfromproc1
 #endif
@@ -2221,5 +2221,5 @@
       INTEGER,DIMENSION(nbdim,2,2) :: parentarray
       LOGICAL :: member, memberin
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim,0:Agrif_Nbprocs-1,8) :: tab4t
@@ -2243,5 +2243,5 @@
 
       parcours%interp_loc%memberin = memberin
-#if !defined AGRIF_MPI
+#if !defined key_mpp_mpi
       parcours%interp_loc%indminglob(1:nbdim) = indminglob(1:nbdim)
       parcours%interp_loc%indmaxglob(1:nbdim) = indmaxglob(1:nbdim)
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F	(revision 1988)
@@ -30,5 +30,5 @@
 
       Contains
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Subroutine Get_External_Data_first(pttruetab,
      &   cetruetab,pttruetabwhole,cetruetabwhole,nbdim,memberin,
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F	(revision 1988)
@@ -199,5 +199,5 @@
      &      Call Agrif_Free_list_interp(list_interp%suiv)
      
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
        Deallocate(list_interp%interp_loc%tab4t)
        Deallocate(list_interp%interp_loc%memberinall)
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modtypes.F
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modtypes.F	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modtypes.F	(revision 1988)
@@ -276,5 +276,5 @@
       INTEGER,DIMENSION(6)    :: pttruetab,cetruetab
       logical :: member, memberin      
-#if !defined AGRIF_MPI      
+#if !defined key_mpp_mpi      
       integer,dimension(6) :: indminglob,indmaxglob
 #else
@@ -408,5 +408,5 @@
       INTEGER               :: Agrif_USE_FIXED_GRIDS         
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       INTEGER :: Agrif_Nbprocs  ! Number of processors
       INTEGER :: Agrif_ProcRank ! Rank of the current processor 
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 1988)
@@ -37,5 +37,5 @@
       Use Agrif_CurgridFunctions
       Use Agrif_Mask
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Use Agrif_mpp
 #endif
@@ -627,5 +627,5 @@
       
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 #include "mpif.h"
@@ -676,5 +676,5 @@
       INTEGER :: debloc, finloc
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim)   :: lb,ub
@@ -740,5 +740,5 @@
 C lubglob(:,2) : global lbound for each dimension
 
-#if !defined AGRIF_MPI
+#if !defined key_mpp_mpi
         Call Agrif_nbdim_Get_bound_dimension(child % var,lubglob(:,1),
      &               lubglob(:,2),nbdim)
@@ -817,5 +817,5 @@
       
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 #include "mpif.h"
@@ -866,5 +866,5 @@
       integer :: coeffraf
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim)   :: lb,ub
@@ -907,5 +907,5 @@
       ENDDO
 
-#if !defined AGRIF_MPI      
+#if !defined key_mpp_mpi      
         Call Agrif_nbdim_Get_bound_dimension(child % var,lubglob(:,1),
      &               lubglob(:,2),nbdim)
@@ -1059,5 +1059,5 @@
       
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 #include "mpif.h"
@@ -1117,5 +1117,5 @@
       INTEGER :: nbin, ndirin
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim)    :: indminglob2,indmaxglob2
@@ -1157,10 +1157,10 @@
      &                     pttab_Parent,
      &                     posvartab_Child,TypeUpdate,loctab_Child
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
      &                 ,pttruetabwhole,cetruetabwhole
 #endif
      &     )
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       IF (memberin) THEN
        Call Agrif_GlobtoLocInd2(childarray,
@@ -1266,5 +1266,5 @@
 C
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 C     tab2 contains the necessary limits of the parent grid for each processor
@@ -1391,5 +1391,5 @@
       ENDIF
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Call Agrif_nbdim_Get_bound_dimension(parent%var,
      &                              lowerbound,upperbound,nbdim)
@@ -1475,5 +1475,5 @@
 ccc     &    child % var % root_var % interptab(1:nbdim) .EQ. 'N'
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 c          Allocate(childvalues% var)
@@ -1513,5 +1513,5 @@
       if (Agrif_UseSpecialValue) then
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 c          Call GiveAgrif_SpecialValueToTab_mpi(parent%var,tempP%var,
@@ -1678,5 +1678,5 @@
 
       IF (memberin) THEN
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Call Agrif_nbdim_deallocation(tempP%var,nbdim)
       Call Agrif_nbdim_deallocation(tempC%var,nbdim)
@@ -1685,5 +1685,5 @@
 !      Deallocate(tempP % var)
       ENDIF
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 !      Deallocate(tempPextend%var)
 !      IF (.Not.memberin) Deallocate(tempCextend%var)
@@ -1706,5 +1706,5 @@
      &                              posvartab_child,TypeUpdate,
      &                              loctab_Child
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
      &                 ,pttruetabwhole,cetruetabwhole
 #endif
@@ -1720,5 +1720,5 @@
       
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 cccccccccccccccccccccccccc#include "mpif.h"
 #endif
@@ -1738,5 +1738,5 @@
       INTEGER :: i
       REAL,DIMENSION(nbdim) :: dim_newmin,dim_newmax      
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       INTEGER,DIMENSION(nbdim)    :: pttruetabwhole,cetruetabwhole
       REAL :: positionmin,positionmax
@@ -1759,5 +1759,5 @@
      &        agrif_int((dim_newmax(i)-s_Parent(i))/ds_Parent(i))
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
         positionmin = s_Parent(i) + (indmin(i)-
      &                          pttab_Parent(i))*ds_Parent(i)
@@ -1816,5 +1816,5 @@
         s_Child_temp(i) = dim_newmin(i)
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
         s_Child_temp(i) = positionmin
 #endif
@@ -2521,5 +2521,5 @@
       End Subroutine Agrif_Compute_nbdim_update
  
-#if defined AGRIF_MPI      
+#if defined key_mpp_mpi      
       Subroutine Agrif_Find_list_update(list_update,pttab,petab,
      &                          pttab_Child,pttab_Parent,nbdim,
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 1988)
@@ -62,5 +62,5 @@
       External :: procname
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Logical      :: mpi_was_called
       Integer      :: code, ierr
@@ -670,5 +670,5 @@
 C             definition of the probdim and modtypes variables
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 #include "mpif.h"
       Agrif_MPIPREC = MPI_DOUBLE_PRECISION
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/KEY_CPP
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/KEY_CPP	(revision 1987)
+++ 	(revision )
@@ -1,1 +1,0 @@
-
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/efface
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/AGRIF/efface	(revision 1987)
+++ 	(revision )
@@ -1,9 +1,0 @@
-rm -f AGRIF_INC/*
-rm -f AGRIF_MODELFILES/*
-rm -f AGRIF_OBJS/*
-rm -f AGRIF_YOURFILES/*
-rm -f SORTIE/*
-
-rm -f .depend*
-rm -f .agrif*
-rm -f LIB/*.o
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/example/AA_make
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/example/AA_make	(revision 1987)
+++ 	(revision )
@@ -1,333 +1,0 @@
-#-
-#- $Id: AA_make 107 2007-07-26 10:10:41Z bellier $
-#-
-USER_DIR = $(shell /bin/pwd)
-MAKE_DIR = '??'
-ifneq ($(USER_DIR),$(MAKE_DIR))
- @$(error You must invoke this Makefile from its directory)
-endif
-#-
-IOIPSL_LIB = -L$(LIBDIR) -lioipsl
-ifeq ($(L_X),1)
-IOIPSL_LIB = -L$(LIBDIR) -lsxioipsl
-endif
-#-
-all: testhist1 testhist2 testrest testopp testcalendar testflio
-	echo don t forget to do : $(M_K) clean !!!
-
-testhist1:
-	$(M_K) libioipsl
-	$(M_K) testhist1.x
-#-Q- sx8brodie	echo cd $(USER_DIR) > Job_testhist1
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec	echo cd $(USER_DIR) > Job_testhist1
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure	echo cd $(USER_DIR) > Job_testhist1
-#-Q- sx8mercure	echo '\
-	./testhist1.x \
-#-Q- sx8brodie ' >> Job_testhist1
-#-Q- sx8brodie	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8brodie	 -o $(USER_DIR)/Out_testhist1 Job_testhist1
-#-Q- sx8brodie	echo job Job_testhist1 has been submitted
-#-Q- sx6nec ' >> Job_testhist1
-#-Q- sx6nec	qsub -j o -S /usr/bin/ksh \
-#-Q- sx6nec	 -o $(USER_DIR)/Out_testhist1 Job_testhist1
-#-Q- sx6nec	echo job Job_testhist1 has been submitted
-#-Q- sx8mercure ' >> Job_testhist1
-#-Q- sx8mercure	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8mercure	 -o $(USER_DIR)/Out_testhist1 Job_testhist1
-#-Q- sx8mercure	echo job Job_testhist1 has been submitted
-
-	@echo ' '
-	@echo 'file testhist1.nc should be created'
-	@echo 'to see it, type : ncdump -h testhist1.nc'
-	@echo ' '
-
-testhist1.x: testhist1.o
-	$(F_L) -o testhist1.x testhist1.o \
-               $(L_O) $(IOIPSL_LIB) $(NCDF_LIB)
-
-testhist2:
-	$(M_K) libioipsl
-	$(M_K) testhist2.x
-#-Q- sx8brodie	echo cd $(USER_DIR) > Job_testhist2
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec	echo cd $(USER_DIR) > Job_testhist2
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure	echo cd $(USER_DIR) > Job_testhist2
-#-Q- sx8mercure	echo '\
-	./testhist2.x \
-#-Q- sx8brodie ' >> Job_testhist2
-#-Q- sx8brodie	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8brodie	 -o $(USER_DIR)/Out_testhist2 Job_testhist2
-#-Q- sx8brodie	echo job Job_testhist2 has been submitted
-#-Q- sx6nec ' >> Job_testhist2
-#-Q- sx6nec	qsub -j o -S /usr/bin/ksh \
-#-Q- sx6nec	 -o $(USER_DIR)/Out_testhist2 Job_testhist2
-#-Q- sx6nec	echo job Job_testhist2 has been submitted
-#-Q- sx8mercure ' >> Job_testhist2
-#-Q- sx8mercure	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8mercure	 -o $(USER_DIR)/Out_testhist2 Job_testhist2
-#-Q- sx8mercure	echo job Job_testhist2 has been submitted
-
-	@echo ' '
-	@echo 'file testhist2.nc should be created'
-	@echo 'to see it, type : ncdump -h testhist2.nc'
-	@echo ' '
-	@echo 'file testhist2_bis.nc should be created'
-	@echo 'to see it, type : ncdump -h testhist2_bis.nc'
-	@echo ' '
-
-testhist2.x: testhist2.o
-	$(F_L) -o testhist2.x testhist2.o \
-               $(L_O) $(IOIPSL_LIB) $(NCDF_LIB)
-
-testrest:
-	$(M_K) libioipsl
-	$(M_K) testrest.x
-	$(RM) restfile.nc restfilebis.nc
-#-Q- sx8brodie	echo cd $(USER_DIR) > Job_testrest
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec	echo cd $(USER_DIR) > Job_testrest
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure	echo cd $(USER_DIR) > Job_testrest
-#-Q- sx8mercure	echo '\
-	./testrest.x \
-#-Q- sx8brodie ' >> Job_testrest
-#-Q- sx8brodie	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8brodie	 -o $(USER_DIR)/Out_testrest Job_testrest
-#-Q- sx8brodie	echo job Job_testrest has been submitted
-#-Q- sx6nec ' >> Job_testrest
-#-Q- sx6nec	qsub -j o -S /usr/bin/ksh \
-#-Q- sx6nec	 -o $(USER_DIR)/Out_testrest Job_testrest
-#-Q- sx6nec	echo job Job_testrest has been submitted
-#-Q- sx8mercure ' >> Job_testrest
-#-Q- sx8mercure	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8mercure	 -o $(USER_DIR)/Out_testrest Job_testrest
-#-Q- sx8mercure	echo job Job_testrest has been submitted
-
-	@echo ' '
-	@echo 'file restfile.nc should be created'
-	@echo 'to see it, type : ncdump -h restfile.nc'
-	@echo ' '
-	@echo 'file restfilebis.nc should be created'
-	@echo 'to see it, type : ncdump -h restfilebis.nc'
-	@echo ' '
-
-testrest.x: testrest.o
-	$(F_L) -o testrest.x testrest.o \
-               $(L_O) $(IOIPSL_LIB) $(NCDF_LIB)
-
-testopp:
-	$(M_K) libioipsl
-	$(M_K) testopp.x
-#-Q- sx8brodie	echo cd $(USER_DIR) > Job_testopp
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec	echo cd $(USER_DIR) > Job_testopp
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure	echo cd $(USER_DIR) > Job_testopp
-#-Q- sx8mercure	echo '\
-	./testopp.x \
-#-Q- sx8brodie ' >> Job_testopp
-#-Q- sx8brodie	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8brodie	 -o $(USER_DIR)/Out_testopp Job_testopp
-#-Q- sx8brodie	echo job Job_testopp has been submitted
-#-Q- sx6nec ' >> Job_testopp
-#-Q- sx6nec	qsub -j o -S /usr/bin/ksh \
-#-Q- sx6nec	 -o $(USER_DIR)/Out_testopp Job_testopp
-#-Q- sx6nec	echo job Job_testopp has been submitted
-#-Q- sx8mercure ' >> Job_testopp
-#-Q- sx8mercure	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8mercure	 -o $(USER_DIR)/Out_testopp Job_testopp
-#-Q- sx8mercure	echo job Job_testopp has been submitted
-
-testopp.x: testopp.o
-	$(F_L) -o testopp.x testopp.o \
-               $(L_O) $(IOIPSL_LIB) $(NCDF_LIB)
-
-testcalendar:
-	$(M_K) libioipsl
-	$(M_K) testcalendar.x
-#-Q- sx8brodie	echo cd $(USER_DIR) > Job_testcalendar
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec	echo cd $(USER_DIR) > Job_testcalendar
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure	echo cd $(USER_DIR) > Job_testcalendar
-#-Q- sx8mercure	echo '\
-	echo; \
-#-Q- sx8brodie ' >> Job_testcalendar
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec ' >> Job_testcalendar
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure ' >> Job_testcalendar
-#-Q- sx8mercure	echo '\
-        ./testcalendar.x; \
-#-Q- sx8brodie ' >> Job_testcalendar
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec ' >> Job_testcalendar
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure ' >> Job_testcalendar
-#-Q- sx8mercure	echo '\
-        echo; \
-#-Q- sx8brodie ' >> Job_testcalendar
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec ' >> Job_testcalendar
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure ' >> Job_testcalendar
-#-Q- sx8mercure	echo '\
-        ./testcalendar.x noleap; \
-#-Q- sx8brodie ' >> Job_testcalendar
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec ' >> Job_testcalendar
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure ' >> Job_testcalendar
-#-Q- sx8mercure	echo '\
-        echo; \
-#-Q- sx8brodie ' >> Job_testcalendar
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec ' >> Job_testcalendar
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure ' >> Job_testcalendar
-#-Q- sx8mercure	echo '\
-        ./testcalendar.x 360d; \
-#-Q- sx8brodie ' >> Job_testcalendar
-#-Q- sx8brodie	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8brodie	 -o $(USER_DIR)/Out_testcalendar Job_testcalendar
-#-Q- sx8brodie	echo job Job_testcalendar has been submitted
-#-Q- sx6nec ' >> Job_testcalendar
-#-Q- sx6nec	qsub -j o -S /usr/bin/ksh \
-#-Q- sx6nec	 -o $(USER_DIR)/Out_testcalendar Job_testcalendar
-#-Q- sx6nec	echo job Job_testcalendar has been submitted
-#-Q- sx8mercure ' >> Job_testcalendar
-#-Q- sx8mercure	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8mercure	 -o $(USER_DIR)/Out_testcalendar Job_testcalendar
-#-Q- sx8mercure	echo job Job_testcalendar has been submitted
-
-testcalendar.x: testcalendar.o
-	$(F_L) -o testcalendar.x testcalendar.o \
-               $(L_O) $(IOIPSL_LIB) $(NCDF_LIB)
-
-testflio:
-	$(M_K) libioipsl
-	$(M_K) testflio.x
-
-#-Q- sx8brodie	echo cd $(USER_DIR) > Job_testflio
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec	echo cd $(USER_DIR) > Job_testflio
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure	echo cd $(USER_DIR) > Job_testflio
-#-Q- sx8mercure	echo '\
-	./testflio.x \
-#-Q- sx8brodie ' >> Job_testflio
-#-Q- sx8brodie	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8brodie	 -o $(USER_DIR)/Out_testflio Job_testflio
-#-Q- sx8brodie	echo job Job_testflio has been submitted
-#-Q- sx6nec ' >> Job_testflio
-#-Q- sx6nec	qsub -j o -S /usr/bin/ksh \
-#-Q- sx6nec	 -o $(USER_DIR)/Out_testflio Job_testflio
-#-Q- sx6nec	echo job Job_testflio has been submitted
-#-Q- sx8mercure ' >> Job_testflio
-#-Q- sx8mercure	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8mercure	 -o $(USER_DIR)/Out_testflio Job_testflio
-#-Q- sx8mercure	echo job Job_testflio has been submitted
-
-	@echo ' '
-	@echo 'file testflio_0001.nc should be created'
-	@echo 'to see it, type : ncdump -h testflio_0001.nc'
-	@echo ' '
-
-testflio.x: testflio.o
-	$(F_L) -o testflio.x testflio.o \
-               $(L_O) $(IOIPSL_LIB) $(NCDF_LIB)
-
-testconfig:
-	$(M_K) libioipsl
-	$(M_K) testconfig.x
-#-Q- sx8brodie	echo cd $(USER_DIR) > Job_testconfig
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec	echo cd $(USER_DIR) > Job_testconfig
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure	echo cd $(USER_DIR) > Job_testconfig
-#-Q- sx8mercure	echo '\
-	./testconfig.x \
-#-Q- sx8brodie ' >> Job_testconfig
-#-Q- sx8brodie	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8brodie	 -o $(USER_DIR)/Out_testconfig Job_testconfig
-#-Q- sx8brodie	echo job Job_testconfig has been submitted
-#-Q- sx6nec ' >> Job_testconfig
-#-Q- sx6nec	qsub -j o -S /usr/bin/ksh \
-#-Q- sx6nec	 -o $(USER_DIR)/Out_testconfig Job_testconfig
-#-Q- sx6nec	echo job Job_testconfig has been submitted
-#-Q- sx8mercure ' >> Job_testconfig
-#-Q- sx8mercure	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8mercure	 -o $(USER_DIR)/Out_testconfig Job_testconfig
-#-Q- sx8mercure	echo job Job_testconfig has been submitted
-
-testconfig.x: testconfig.o
-	$(F_L) -o testconfig.x testconfig.o \
-               $(L_O) $(IOIPSL_LIB) $(NCDF_LIB)
-
-testconfig2:
-	$(M_K) libioipsl
-	$(M_K) testconfig2.x
-#-Q- sx8brodie	echo cd $(USER_DIR) > Job_testconfig2
-#-Q- sx8brodie	echo '\
-#-Q- sx6nec	echo cd $(USER_DIR) > Job_testconfig2
-#-Q- sx6nec	echo '\
-#-Q- sx8mercure	echo cd $(USER_DIR) > Job_testconfig2
-#-Q- sx8mercure	echo '\
-	./testconfig2.x \
-#-Q- sx8brodie ' >> Job_testconfig2
-#-Q- sx8brodie	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8brodie	 -o $(USER_DIR)/Out_testconfig2 Job_testconfig2
-#-Q- sx8brodie	echo job Job_testconfig2 has been submitted
-#-Q- sx6nec ' >> Job_testconfig2
-#-Q- sx6nec	qsub -j o -S /usr/bin/ksh \
-#-Q- sx6nec	 -o $(USER_DIR)/Out_testconfig2 Job_testconfig2
-#-Q- sx6nec	echo job Job_testconfig2 has been submitted
-#-Q- sx8mercure ' >> Job_testconfig2
-#-Q- sx8mercure	qsub -j o -S /usr/bin/ksh \
-#-Q- sx8mercure	 -o $(USER_DIR)/Out_testconfig2 Job_testconfig2
-#-Q- sx8mercure	echo job Job_testconfig2 has been submitted
-
-testconfig2.x: testconfig2.o
-	$(F_L) -o testconfig2.x testconfig2.o \
-               $(L_O) $(IOIPSL_LIB) $(NCDF_LIB)
-
-config: libioipsl
-	(cd ../src; $(M_K) -f Makefile config)
-	$(BINDIR)/Fparser -main -name testconfig testconfig.f90
-	$(SCPDIR)/build_tkmenus
-	./config.tk
-	$(RM) Config.*
-
-libioipsl:
-	(cd ../src; $(M_K) -f Makefile)
-
-clean:
-	$(RM) *.*~ Makefile~ core *.o *.nc Out_t* Job_t* *.x *_run.def
-
-testhist1.o: testhist1.f90
-	$(F_C) $(F_O) testhist1.f90
-
-testhist2.o: testhist2.f90
-	$(F_C) $(F_O) testhist2.f90
-
-testrest.o: testrest.f90
-	$(F_C) $(F_O) testrest.f90
-
-testopp.o: testopp.f90
-	$(F_C) $(F_O) testopp.f90
-
-testcalendar.o: testcalendar.f90
-	$(F_C) $(F_O) testcalendar.f90
-
-testflio.o: testflio.f90
-	$(F_C) $(F_O) testflio.f90
-
-testconfig.o: testconfig.f90
-	$(F_C) $(F_O) testconfig.f90
-
-testconfig2.o: testconfig2.f90
-	$(F_C) $(F_O) testconfig2.f90
-
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/example/AA_make.ldef
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/example/AA_make.ldef	(revision 1987)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#-
-#- $Id: AA_make.ldef 53 2007-06-06 15:27:26Z bellier $
-#-
-#---------------------------------------------------------------------
-#- Samples related to IOIPSL
-#---------------------------------------------------------------------
-SHELL = /bin/ksh
-#---------------------------------------------------------------------
-LIBDIR = ../../../lib
-BINDIR = ../../../bin
-SCPDIR = ../../../scripts
-MODDIR = $(LIBDIR)
-#---------------------------------------------------------------------
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/src/AA_make
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/src/AA_make	(revision 1987)
+++ 	(revision )
@@ -1,113 +1,0 @@
-#-
-#- $Id: AA_make 105 2007-07-26 09:46:30Z mafoipsl $
-#-
-MAKE_NAM = $(MAKE)
-ifneq ($(MAKE_NAM),$(M_K))
- @$(error You must invoke this Makefile with the $(M_K) command)
-endif
-USER_DIR = $(shell /bin/pwd)
-MAKE_DIR = '??'
-ifneq ($(USER_DIR),$(MAKE_DIR))
- @$(error You must invoke this Makefile from its directory)
-endif
-#-
-#-Q- sxdkrz F_O = $(F_D) $(F_P) -C vsafe -size_t64 -I $(MODDIR)
-#-Q- eshpux F_O = $(F_D) $(F_P) -C vsafe -I $(MODDIR)
-#---------------------------------------------------------------------
-#- Create "libioipsl"
-#---------------------------------------------------------------------
-
-.PRECIOUS : $(MODEL_LIB)
-SXMODEL_LIB = $(MODEL_LIB)
-ifeq ($(L_X),1)
-SXMODEL_LIB = $(LIBDIR)/libsxioipsl.a
-.PRECIOUS : $(SXMODEL_LIB)
-endif
-
-MODS1 = defprec.f90   \
-        errioipsl.f90 \
-        stringop.f90  \
-        mathelp.f90   \
-        getincom.f90  \
-        calendar.f90  \
-        fliocom.f90   \
-        flincom.f90   \
-        histcom.f90   \
-        restcom.f90   \
-        ioipsl.f90
-OBJSMODS1 = $(MODS1:.f90=.o)
-
-all: $(MODEL_LIB)($(OBJSMODS1))
-	@echo IOIPSL is OK
-
-$(MODEL_LIB)(%.o): %.f90
-	$(F_C) $(F_O) -I$(NCDF_INC) $*.f90
-	$(A_C) $(MODEL_LIB) $*.o
-ifeq ($(L_X),1)
-	$(A_X) $(SXMODEL_LIB) $*.o
-endif
-#-Q- sgi6 	mv $(shell echo $* | tr '[:lower:]' '[:upper:]').mod $(MODDIR)
-ifeq ($(M_M),1)
-	mv $*.mod $(MODDIR)
-endif
-	$(RM) $*.o
-
-clean:
-	$(RM) $(MODEL_LIB)
-ifeq ($(L_X),1)
-	$(RM) $(SXMODEL_LIB)
-endif
-	$(RM) *.*~ Makefile~ core *.o *.mod i.*.L *.L i.*.f90
-	$(RM) $(MODDIR)/*.mod $(MODDIR)/*.M *.M
-
-#- Specific dependencies
-
-$(MODEL_LIB)(errioipsl.o):   \
-  $(MODEL_LIB)(defprec.o)
-
-$(MODEL_LIB)(stringop.o):    \
-  $(MODEL_LIB)(defprec.o)
-
-$(MODEL_LIB)(mathelp.o):     \
-  $(MODEL_LIB)(errioipsl.o)  \
-  $(MODEL_LIB)(stringop.o)
-
-$(MODEL_LIB)(getincom.o):    \
-  $(MODEL_LIB)(stringop.o)
-
-$(MODEL_LIB)(calendar.o):    \
-  $(MODEL_LIB)(errioipsl.o)  \
-  $(MODEL_LIB)(stringop.o)
-
-$(MODEL_LIB)(fliocom.o):     \
-  $(MODEL_LIB)(defprec.o)    \
-  $(MODEL_LIB)(errioipsl.o)  \
-  $(MODEL_LIB)(stringop.o)   \
-  $(MODEL_LIB)(calendar.o)
-
-$(MODEL_LIB)(flincom.o):     \
-  $(MODEL_LIB)(errioipsl.o)  \
-  $(MODEL_LIB)(stringop.o)   \
-  $(MODEL_LIB)(calendar.o)
-
-$(MODEL_LIB)(histcom.o):     \
-  $(MODEL_LIB)(errioipsl.o)  \
-  $(MODEL_LIB)(stringop.o)   \
-  $(MODEL_LIB)(mathelp.o)    \
-  $(MODEL_LIB)(calendar.o)   \
-  $(MODEL_LIB)(fliocom.o)
-
-$(MODEL_LIB)(restcom.o):     \
-  $(MODEL_LIB)(errioipsl.o)  \
-  $(MODEL_LIB)(stringop.o)   \
-  $(MODEL_LIB)(mathelp.o)    \
-  $(MODEL_LIB)(calendar.o)   \
-  $(MODEL_LIB)(fliocom.o)
-
-$(MODEL_LIB)(ioipsl.o):      \
-  $(MODEL_LIB)(getincom.o)   \
-  $(MODEL_LIB)(fliocom.o)    \
-  $(MODEL_LIB)(flincom.o)    \
-  $(MODEL_LIB)(histcom.o)    \
-  $(MODEL_LIB)(restcom.o)
-
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/src/AA_make.ldef
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/src/AA_make.ldef	(revision 1987)
+++ 	(revision )
@@ -1,14 +1,0 @@
-#-
-#- $Id: AA_make.ldef 53 2007-06-06 15:27:26Z bellier $
-#-
-#---------------------------------------------------------------------
-#- Local parameters for "libioipsl"
-#---------------------------------------------------------------------
-SHELL = /bin/ksh
-#---------------------------------------------------------------------
-LIBDIR = ../../../lib
-BINDIR = ../../../bin
-MODDIR = $(LIBDIR)
-#---------------------------------------------------------------------
-P_P =
-MODEL_LIB = $(LIBDIR)/libioipsl.a
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/tools/AA_make
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/tools/AA_make	(revision 1987)
+++ 	(revision )
@@ -1,68 +1,0 @@
-#-
-#- $Id: AA_make 53 2007-06-06 15:27:26Z bellier $
-#-
-#-Q- sxdkrz F_O = $(F_D) $(F_P) -C vsafe -size_t64 -I $(MODDIR)
-#-Q- eshpux F_O = $(F_D) $(F_P) -C vsafe -I $(MODDIR)
-#---------------------------------------------------------------------
-#- Create "tools" related to IOIPSL
-#---------------------------------------------------------------------
-
-SXMODEL_LIB = $(MODEL_LIB)
-ifeq ($(L_X),1)
-SXMODEL_LIB = $(LIBDIR)/libsxioipsl.a
-endif
-
-rbld: libioipsl $(BINDIR)/rebuild $(BINDIR)/flio_rbld
-	@echo rebuild is OK
-
-ncregular: $(BINDIR)/ncregular 
-	@echo ncregular is OK
-
-config: libioipsl $(BINDIR)/Fparser $(BINDIR)/tkparse
-	$(BINDIR)/Fparser -name IOIPSL *.f90
-	echo 'Configuration of IOIPSL done'
-
-$(BINDIR)/rebuild: ./rebuild
-	cp -p ./rebuild $(BINDIR)/rebuild
-	chmod a+rx $(BINDIR)/rebuild
-
-$(BINDIR)/flio_rbld: $(SXMODEL_LIB) flio_rbld.f90
-	$(F_C) $(F_O) -I$(NCDF_INC) flio_rbld.f90
-	$(F_L) flio_rbld.o -o $(BINDIR)/flio_rbld \
-               $(L_O) $(SXMODEL_LIB) $(NCDF_LIB)
-	chmod a+rx $(BINDIR)/flio_rbld
-	$(RM) flio_rbld.o
-
-$(BINDIR)/ncregular: ncregular.f90
-	$(F_C) $(F_O) -I$(NCDF_INC) ncregular.f90
-	$(F_L) -o $(BINDIR)/ncregular ncregular.o $(L_O) $(NCDF_LIB)
-	$(RM) ncregular.o
-
-$(BINDIR)/Fparser: Fparser.o
-	$(F_L) -o $(BINDIR)/Fparser Fparser.o -L$(LIBDIR) -lioipsl
-	$(RM) Fparser.o
-
-Fparser.o: Fparser.f90
-	$(F_C) $(F_O) Fparser.f90
-
-$(BINDIR)/tkparse: tkparse.o tkcond.o tkgen.o
-	$(C_L) -o $(BINDIR)/tkparse tkparse.o tkcond.o tkgen.o
-	$(RM) tkparse.o tkcond.o tkgen.o
-
-tkparse.o: tkparse.c tkparse.h
-	$(C_C) $(C_O) -o tkparse.o tkparse.c
-
-tkcond.o: tkcond.c tkparse.h
-	$(C_C) $(C_O) -o tkcond.o tkcond.c
-
-tkgen.o: tkgen.c tkparse.h
-	$(C_C) $(C_O) -o tkgen.o tkgen.c
-
-libioipsl:
-	(cd ../src; $(M_K) -f Makefile)
-
-clean:
-	$(RM) *.*~ Makefile~ core *.o *.mod i.*.L *.L i.*.f90 *.M
-	$(RM) $(BINDIR)/rebuild $(BINDIR)/flio_rbld
-	$(RM) $(BINDIR)/ncregular $(BINDIR)/Fparser $(BINDIR)/tkparse
-
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/tools/AA_make.ldef
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/IOIPSL/tools/AA_make.ldef	(revision 1987)
+++ 	(revision )
@@ -1,14 +1,0 @@
-#-
-#- $Id: AA_make.ldef 53 2007-06-06 15:27:26Z bellier $
-#-
-#---------------------------------------------------------------------
-#- Local parameters related to the "tools" of IOIPSL (rebuild, config)
-#---------------------------------------------------------------------
-SHELL = /bin/ksh
-#---------------------------------------------------------------------
-LIBDIR = ../../../lib
-BINDIR = ../../../bin
-MODDIR = $(LIBDIR)
-#---------------------------------------------------------------------
-P_P =
-MODEL_LIB = $(LIBDIR)/libioipsl.a
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLF90/bld.cfg
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLF90/bld.cfg	(revision 1987)
+++ 	(revision )
@@ -1,34 +1,0 @@
-# ----------------------- FCM extract configuration file -----------------------
-cfg::type                           bld
-cfg::version                        1.0
-
-
-# ------------------------------------------------------------------------------
-# Build information
-# ------------------------------------------------------------------------------
-
-inc arch.fcm
-inc config.fcm
-
-dir::root   $PWD
-
-search_src           1
-bld::lib            xmlf90
-bld::target libxmlf90.a
-
-bld::tool::fc        %COMPILER
-bld::tool::ld        %LINKER
-bld::tool::ar        %AR
-bld::tool::make      %MAKE
-bld::tool::fflags    %FFLAGS
-bld::tool::ldflags   %BASE_LD
-
-# Pre-process code before analysing dependencies
-bld::pp              1
-
-
-# Don't generate interface files
-bld::tool::geninterface none
-
-# Allow ".inc" as an extension for CPP include files
-bld::outfile_ext::mod .mod
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLF90/configure
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLF90/configure	(revision 1987)
+++ 	(revision )
@@ -1,106 +1,0 @@
-#!/bin/csh
-set verbose echo
-set has_arch_opt           = FALSE 
-set has_compile_opt        = FALSE
-set default_compile_flags = "%PROD_FFLAGS"
-
-top:
-if ($#argv > 0) then
-    switch ($1)
-
-    case -h
-
-########################################################################
-# Manuel en ligne
-########################################################################
-more <<eod
-
-
-configure_ioserver [Options] 
-
-bla, bla, bla
-eod
-exit
-
-########################################################################
-# Lecture des differentes options
-########################################################################
-                   
-    case -a
-    case -arch
-        set has_arch_opt = TRUE
-        set arch="$2" ; shift ; shift ; goto top
-
-    case -prod
-        set has_compile_opt = TRUE
-        set compile_flags="%PROD_FFLAGS"
-        shift ; goto top
-
-    case -dev
-        set has_compile_opt = TRUE
-        set compile_flags="%DEV_FFLAGS"
-        shift ; goto top
-
-    case -debug
-        set has_compile_opt = TRUE
-        set compile_flags="%DEBUG_FFLAGS"
-        shift ; goto top
-
-    default
-        echo "unknown option "$1" , exiting..."
-        exit 
-   endsw
-endif
-
-
-#define architecture files
-if ( $has_arch_opt == TRUE) then
-  if ( -e arch/arch-${arch}.fcm ) then
-    rm -f arch.fcm
-    ln -s arch/arch-${arch}.fcm arch.fcm
-  else
-    echo "architecture file : << arch/arch-${arch}.fcm >> is missing, exiting...."
-    exit
-  endif
-  
-  if ( -e arch/arch-${arch}.path ) then
-    rm -f arch.path
-    ln -s arch/arch-${arch}.path arch.path
-  else
-    echo "architecture file : << arch/arch-${arch}.path >> is missing, exiting...."
-    exit
-  endif
-else
-  echo "Warning : architecture not specified, taking default file <<arch.fcm>> and <<arch.path>>" 
-  if ( ! -e arch.fcm ) then
-    echo "architecture file : << arch.fcm >> is missing, exiting...."
-    exit
-  endif
-
-  if ( ! -e arch.fcm ) then
-    echo "architecture file : << arch.path >> is missing, exiting...."
-    exit
-  endif
-endif
-  
-# set compiler flags
-set FFLAGS="%BASE_FFLAGS"
-set LD_FFLAGS="%BASE_LD"
-set CPP_KEY="%FPP_DEF"
-
-# set compiler flags for optimisation
-if ( $has_compile_opt == FALSE ) then
-  set compile_flags=$default_compile_flags
-endif
-set FFLAGS=${FFLAGS}" "$compile_flags
-
-
-source ./arch.path
-
-# build config file
-set config_fcm="config.fcm"
-rm -f $config_fcm
-
-echo "%FFLAGS        $FFLAGS"                           >  $config_fcm 
-echo "%CPP_KEY       $CPP_KEY"                          >> $config_fcm
-echo "%LD_FFLAGS     $LD_FFLAGS"                        >> $config_fcm
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/bld.cfg
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/bld.cfg	(revision 1987)
+++ 	(revision )
@@ -1,50 +1,0 @@
-# ----------------------- FCM extract configuration file -----------------------
-cfg::type                           bld
-cfg::version                        1.0
-
-
-# ------------------------------------------------------------------------------
-# Build information
-# ------------------------------------------------------------------------------
-
-inc arch.fcm
-inc config.fcm
-
-dir::root   $PWD
-
-search_src           0
-src::ioserver    src/IOSERVER
-src::xmlio       src/XMLIO
-bld::lib::ioserver         ioserver
-bld::lib::xmlio            xmlio
-bld::target libioserver.a libxmlio.a
-#bld::target main.exe client.exe server.exe
-bld::target server.exe
-
-bld::tool::fc        %COMPILER
-bld::tool::ld        %LINKER
-bld::tool::ar        %AR
-bld::tool::make      %MAKE
-bld::tool::fflags    %FFLAGS %INCDIR
-bld::tool::ldflags   %BASE_LD %LIB
-bld::tool::cppflags  %FPP_FLAGS %INCDIR
-bld::tool::fppflags  %FPP_FLAGS %INCDIR
-bld::tool::fppkeys   %CPP_KEY
-# Pre-process code before analysing dependencies
-bld::pp              1
-
-
-# Ignore the following dependencies
-bld::excl_dep        inc::VT.inc
-bld::excl_dep        use::ioipsl
-bld::excl_dep        use::flib_dom
-bld::excl_dep        inc::mpif.h
-bld::excl_dep        use::mpi
-bld::excl_dep        use::mod_prism_get_comm
-bld::excl_dep        use::mod_prism_proto
-
-# Don't generate interface files
-bld::tool::geninterface none
-
-bld::outfile_ext::mod .mod
-
Index: anches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/configure
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/configure	(revision 1987)
+++ 	(revision )
@@ -1,155 +1,0 @@
-#!/bin/csh
-set verbose echo
-set has_arch_opt           = FALSE 
-set has_compile_opt        = FALSE
-set default_compile_flags  = "%PROD_FFLAGS"
-set has_use_vt             = FALSE
-set has_oasis              = FALSE
-set has_no_mpi             = FALSE
-
-top:
-if ($#argv > 0) then
-    switch ($1)
-
-    case -h
-
-########################################################################
-# Manuel en ligne
-########################################################################
-more <<eod
-
-
-configure_ioserver [Options] 
-
-bla, bla, bla
-eod
-exit
-
-########################################################################
-# Lecture des differentes options
-########################################################################
-                   
-    case -a
-    case -arch
-        set has_arch_opt = TRUE
-        set arch="$2" ; shift ; shift ; goto top
-
-    case -prod
-        set has_compile_opt = TRUE
-        set compile_flags="%PROD_FFLAGS"
-        shift ; goto top
-
-    case -dev
-        set has_compile_opt = TRUE
-        set compile_flags="%DEV_FFLAGS"
-        shift ; goto top
-
-    case -debug
-        set has_compile_opt = TRUE
-        set compile_flags="%DEBUG_FFLAGS"
-        shift ; goto top
-
-    case -use_vt
-        set has_use_vt = TRUE
-        shift ; goto top
-        
-    case -oasis
-        set has_oasis = TRUE
-        shift ; goto top
-
-    case -no_mpi
-        set has_no_mpi = TRUE
-        shift ; goto top
-   
-   default
-        echo "unknown option "$1" , exiting..."
-        exit 
-   endsw
-endif
-
-
-#define architecture files
-if ( $has_arch_opt == TRUE) then
-  if ( -e arch/arch-${arch}.fcm ) then
-    rm -f arch.fcm
-    ln -s arch/arch-${arch}.fcm arch.fcm
-  else
-    echo "architecture file : << arch/arch-${arch}.fcm >> is missing, exiting...."
-    exit
-  endif
-  
-  if ( -e arch/arch-${arch}.path ) then
-    rm -f arch.path
-    ln -s arch/arch-${arch}.path arch.path
-  else
-    echo "architecture file : << arch/arch-${arch}.path >> is missing, exiting...."
-    exit
-  endif
-else
-  echo "Warning : architecture not specified, taking default file <<arch.fcm>> and <<arch.path>>" 
-  if ( ! -e arch.fcm ) then
-    echo "architecture file : << arch.fcm >> is missing, exiting...."
-    exit
-  endif
-
-  if ( ! -e arch.fcm ) then
-    echo "architecture file : << arch.path >> is missing, exiting...."
-    exit
-  endif
-endif
-  
-# set compiler flags
-set FFLAGS="%BASE_FFLAGS"
-set LD_FFLAGS="%BASE_LD %MPI_LD"
-set CPP_KEY="%FPP_DEF"
-set INCDIR=""
-set LIB=""
-
-source ./arch.path
-
-# set compiler flags for optimisation
-if ( $has_compile_opt == FALSE ) then
-  set compile_flags=$default_compile_flags
-endif
-set FFLAGS=${FFLAGS}" %MPI_FFLAGS "$compile_flags
-
-
-# add path for xmlf90 library
-
-set INCDIR="$INCDIR $XMLF90_INCDIR"
-set LIB="$LIB $XMLF90_LIBDIR $XMLF90_LIB"
-
-# add path for ioipsl library
-set INCDIR="$INCDIR $IOIPSL_INCDIR"
-set LIB="$LIB $IOIPSL_LIBDIR $IOIPSL_LIB"
-
-if ( $has_oasis == TRUE ) then
-  set INCDIR="$INCDIR $OASIS_INCDIR"
-  set LIB="$LIB $OASIS_LIBDIR $OASIS_LIB"
-  set CPP_KEY="$CPP_KEY USE_OASIS"
-endif
-
-# add path for netcdf library
-set INCDIR="$INCDIR $NETCDF_INCDIR"
-set LIB="$LIB $NETCDF_LIBDIR $NETCDF_LIB"
-
-if ( $has_use_vt == TRUE ) then
-  set INCDIR="$INCDIR $VAMPIR_INCDIR"
-  set LIB="$LIB $VAMPIR_LIBDIR $VAMPIR_LIB"
-  set CPP_KEY="$CPP_KEY USE_VT"
-endif
-
-if ( $has_no_mpi == TRUE ) then
-  set CPP_KEY="NO_MPI $CPP_KEY"
-endif
-
-
-# build config file
-set config_fcm="config.fcm"
-rm -f $config_fcm
-
-echo "%FFLAGS        $FFLAGS"                           >  $config_fcm 
-echo "%CPP_KEY       $CPP_KEY"                          >> $config_fcm
-echo "%LD_FFLAGS     $LD_FFLAGS"                        >> $config_fcm
-echo "%INCDIR        $INCDIR"                           >> $config_fcm
-echo "%LIB           $LIB"                              >> $config_fcm
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mod_ioclient_para.F90
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mod_ioclient_para.F90	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mod_ioclient_para.F90	(revision 1988)
@@ -13,5 +13,5 @@
   USE mpitrace
   USE mod_ioserver_namelist
-#ifdef USE_OASIS
+#if defined key_oasis3 || defined key_oasis4
   USE mod_prism_get_comm  
 #endif
@@ -35,5 +35,5 @@
       oasis_server_id=server_id
       PRINT *,'prism_get_intracomm'
-#ifdef USE_OASIS
+#if defined key_oasis3 || defined key_oasis4
       CALL prism_get_intracomm(Comm_client_server,oasis_server_id,ierr)
 #endif
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mod_ioserver_para.F90
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mod_ioserver_para.F90	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mod_ioserver_para.F90	(revision 1988)
@@ -21,5 +21,5 @@
   USE mpitrace
   USE mod_ioserver_namelist
-#ifdef USE_OASIS
+#if defined key_oasis3 || defined key_oasis4
   USE mod_prism_get_comm 
 #endif 
@@ -39,5 +39,5 @@
        oasis_server_id=server_id
        oasis_client_id=client_id
-#ifdef USE_OASIS
+#if defined key_oasis3 || defined key_oasis4
        CALL prism_init_comp_proto (comp_id, oasis_server_id, ierr)
        CALL prism_get_intracomm(Comm_client_server,oasis_client_id,ierr)
@@ -83,5 +83,5 @@
   SUBROUTINE Finalize_parallel
   USE mod_ioserver_namelist
-#ifdef USE_OASIS
+#if defined key_oasis3 || defined key_oasis4
   USE mod_prism_proto
 #endif
@@ -91,5 +91,5 @@
     
     IF (using_oasis) THEN
-#ifdef USE_OASIS
+#if defined key_oasis3 || defined key_oasis4
       CALL prism_terminate_proto(ierr)
 #endif
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mpi_mod.F90
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mpi_mod.F90	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mpi_mod.F90	(revision 1988)
@@ -1,5 +1,5 @@
 MODULE mpi_mod
 
-#ifdef NO_MPI
+#if ! defined key_mpp_mpi
     LOGICAL, PARAMETER :: using_mpi=.FALSE.
     INCLUDE 'ios_mpif.h'
Index: /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mpi_wrapper.F90
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mpi_wrapper.F90	(revision 1987)
+++ /branches/DEV_r1879_FCM/NEMOGCM/EXTERNAL/XMLIO_SERVER/src/IOSERVER/mpi_wrapper.F90	(revision 1988)
@@ -3,5 +3,5 @@
 END SUBROUTINE void
 
-#ifdef NO_MPI
+#if ! defined key_mpp_mpi
 
 SUBROUTINE MPI_ALLOC_MEM
